Bug 232706 - "invalid DOT4GetSocketReply" with HP LJ 4050
"invalid DOT4GetSocketReply" with HP LJ 4050
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
7
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: F7Update
  Show dependency treegraph
 
Reported: 2007-03-16 14:30 EDT by Ed Friedman
Modified: 2008-06-16 21:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:16:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/cups/error_log (193.61 KB, application/octet-stream)
2007-03-20 13:07 EDT, Ed Friedman
no flags Details
/var/log/cups/error_log (110.16 KB, application/octet-stream)
2007-04-05 12:42 EDT, Ed Friedman
no flags Details

  None (edit)
Description Ed Friedman 2007-03-16 14:30:40 EDT
Description of problem: 64bit machines are unable to print to locally connected
USB printers


Version-Release number of selected component (if applicable):
cups-1.2.7-1.8.fc6

How reproducible:
Always

Steps to Reproduce:
1.Set up USB printer on computer running x86_64 FC6
2.Send a print job to that printer
3.
  
Actual results:

lpq says printer is ready and printing, but nothing ever prints
No error messages appear in /var/log/messages or in /var/log/cups/error_log

Expected results:

Printer should print.

Additional info:

This problem seemed to have been fixed with the release of hplip-1.6.12-1.fc6,
and on two different machines (one pentium 4 Dual Core with an HP-2420D printer
and the other a pentium 4D with a Canon S530D) printing was fine until a few
weeks ago.  Both machines are automatically updating rpm's each night, and both
can no longer print.
Comment 1 Tim Waugh 2007-03-17 13:43:04 EDT
Please do the following as root:

1. Stop CUPS:

/sbin/service cups stop

2. Edit /etc/cups/cupsd.conf and adjust the LogLevel line to read:

LogLevel debug2

3. Empty /var/log/cups/error_log:

>/var/log/cups/error_log

4. Start CUPS:

/sbin/service cups start

5. Send a print job to that printer from the local machine:

lp -dmyprinter /usr/share/cups/data/testprint.ps

6. Now attach /var/log/cups/error_log to this bug report as an attachment.

FWIW USB printing works fine on this x86_64 running FC6.
Comment 2 Ed Friedman 2007-03-20 13:07:18 EDT
Created attachment 150510 [details]
/var/log/cups/error_log
Comment 3 Ed Friedman 2007-04-05 12:42:38 EDT
Created attachment 151780 [details]
/var/log/cups/error_log
Comment 4 Ed Friedman 2007-04-05 12:47:29 EDT
I've just had my first 32-bit OS fail for local printing under FC6.  I upgraded
a computer running FC4 that was printing perfectly to FC6 with all of the latest
patches, and now it can not print locally.  The printer is an HP2420 connected
via the parallel port.  The following is the pertinent part of /var/log/messages:

Apr  5 11:45:35 inky hpiod: invalid MLCInitReply: cmd=80, result=2 , revision=20
 io/hpiod/mlc.cpp 355 
Apr  5 11:45:36 inky parport0: INFO: open print channel failed; will retry in 30
 seconds... 

I've enclosed an attachment of its /var/log/cups/error_log file with debug2
turned on.
Comment 5 Tim Waugh 2007-04-11 07:16:25 EDT
The id=150510 error_log has:
D [20/Mar/2007:12:03:28 -0500] [Job 270] envp[21]="DEVICE_URI=usb://HP/LaserJet%
202420"
[...]
I [20/Mar/2007:12:03:58 -0500] [Job 270] Printer not connected; will retry in 30
seconds...

The id=151780 error_log has:
D [05/Apr/2007:11:40:55 -0500] [Job 41] envp[21]="DEVICE_URI=hp:/par/hp_LaserJet
_2420?device=/dev/parport0"
[...]
I [05/Apr/2007:11:40:57 -0500] [Job 41] open print channel failed; will retry in
 30 seconds...

This message, from the hp backend, is showing the problem.

So: what does 'rpm -q hplip' say?
Comment 6 Ed Friedman 2007-04-11 14:44:13 EDT
hplip-1.6.12-1.fc6
Comment 7 Tim Waugh 2007-04-16 06:16:04 EDT
Please try the test package in updates-testing:

yum --enablerepo=updates-testing update hplip hpijs libsane-hpaio

After installing the update, restart hplip like this:

  /sbin/service hplip restart

and try to print again.  Does the same problem occur as before?
Comment 8 Ed Friedman 2007-04-17 13:39:30 EDT
I updated the rpms, restarted hplip, and received the same error message:

Apr 17 12:36:40 inky hpiod: invalid MLCInitReply: cmd=80, result=2 , revision=20
 io/hpiod/mlc.cpp 355 
Apr 17 12:36:41 inky parport0: INFO: open print channel failed; will retry in 30
 seconds... 
Comment 9 Tim Waugh 2007-04-18 05:51:17 EDT
Okay.  What does 'rpm -q hplip' say now, just to check?
Comment 10 Ed Friedman 2007-04-18 11:21:25 EDT
hplip-1.7.2-2.fc6
Comment 11 Ed Friedman 2007-04-20 14:37:26 EDT
A new problem has just cropped up on a 32 bit machine with a local parallel
printer (HP LaserJet 4050) that never had any print problems before.  The error
occurred after the rpm's for hplip, hpijs, and libsane-hpaio were updated to
1.7.2-3.fc6.  Initially, the error in /var/log/messages was:

Apr 20 13:22:28 willy hpiod: invalid model HP_LaserJet_4050_Series_ != HP_LaserJ
et_4050_Series UniParDevice::Open 
Apr 20 13:22:28 willy parport0: INFO: open device failed; will retry in 30 secon
ds... 

After seeing that error, I deleted the entry for the printer and added a new
entry for the local printer.  Now the error in /var/log/messages is:

Apr 20 13:33:01 willy hpiod: unexpected DOT4Error: cmd=7f, psocket=4, ssocket=2,
 error=49 : io/hpiod/dot4.cpp 159
Apr 20 13:33:01 willy hpiod: invalid DOT4ExitReply: cmd=7f, result=4 io/hpiod/do
t4.cpp 387 
Apr 20 13:33:02 willy parport0: INFO: open print channel failed; will retry in 3
0 seconds... 
Comment 12 Tim Waugh 2007-07-02 08:57:26 EDT
Are you still using FC-6?
Comment 13 Ed Friedman 2007-08-17 15:13:49 EDT
Sorry for the delay in responding.  I've just upgraded my first computer with a
local computer to Fedora 7.  This was a HP LaserJet 4050 connected to a 32 bit
machine via the parallel port.  With hplip enabled, no printing occurred and the
following was in /var/log/messages:

Aug 17 13:39:17 willy hpiod: invalid DOT4GetSocketReply: cmd=7f, result=2 io/hpi
od/dot4.cpp 425
Aug 17 13:39:17 willy hpiod: unexpected DOT4Error: cmd=7f, psocket=4, ssocket=2,
 error=49 : io/hpiod/dot4.cpp 159
Aug 17 13:39:17 willy hpiod: invalid Dot4CloseChannelReply: cmd=7f, result=4  io
/hpiod/dot4.cpp 669

With hplip disabled, no printing occurred and the following was in
/var/log/messages:

Aug 17 13:47:38 willy hp: unable to connect hpiod socket 2208: Connection
refused: api/hplip_api.c 721 
Aug 17 13:47:38 willy hp: unable to send ProbeDevices: Broken pipe 
Comment 14 Tim Waugh 2008-01-10 10:36:31 EST
The '7f' seems to be coming from the device, and it is supposed to be '89' (0x80
| DOT4_GET_SOCKET).

Beyond that, I'm not really sure what's up.
Comment 15 Bug Zapper 2008-05-14 08:10:50 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2008-06-16 21:16:31 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.